license-total-usage-v2()=""
{
	type(String)="licpoll2"{}
	filter-process()=""
	{
		Report2()=""{
		License2Action()=""
		{
			Report2()=""{}
			Duplicate:products()=""
			{
				CalcSum:product()=""
				{
					Duplicate:features()=""
					{
						CalcSum:feature()=""
						{
							Duplicate:license-usage()=""
							{
								CalcSum:license-usage-all()=""
								{
									RemoveClass:total-license-usage-version()=""
									{
										Concurrent:total-license-usage()=""
										{
											GenerateFields:total-license-usage()=""
											{
												GenerateFields:elapsed-time()=""
												{
													Mapping:primetime()=""
													{
														Report:total-license-usage-package()=""{}
													}
												}
											}
										}}
									}
								}
							}
						}
					}
				}
			}
		}
	}
	filter-defs()=""
	{
		License2Action()=""
		{
			filter(String)="License2Action"{}
		}
		Duplicate:license-usage()=""
		{
			filter(String)="Duplicate"{}
			global()=""
			{
				set-values(String)="feature_version='all'"{}
			}
		}
		Duplicate:features()=""
		{
			inactive(Bool)="true"{}
			filter(String)="Duplicate"{}
			limited()=""
			{
				map-file(FileName)="${OpeniT.directories.conf}feature-mapping"{}
				source(String)="feature"{}
				target(String)="feature"{}
			}
		}
		Duplicate:products()=""
		{
			inactive(Bool)="false"{}
			filter(String)="Duplicate"{}
			limited()=""
			{
				map-file(FileName)="${OpeniT.directories.conf}product-mapping"{}
				source(String)="product"{}
				target(String)="product"{}
			}
		}
		CalcSum:license-usage-all()=""
		{
			filter(String)="CalcSum"{}
			compare(String)="product,package,feature,feature_version"
			{
				field(String)="feature_version"{}
				positive(Bool)="false"{}
				pattern(String)="all"{}
			}
			remove(String)="feature_version"{}
			summarize(String)="licenses"
			{
				field(String)="feature_version"{}
				positive(Bool)="true"{}
				pattern(String)="all"{}
			}
		}
		CalcSum:feature()=""
		{
			inactive(Bool)="true"{}
			filter(String)="CalcSum"{}
			compare(String)="product,package,feature,feature_version"
			{
				field(String)="signals"{}
				positive(Bool)="true"{}
				pattern(String)="1"{}
			}
			remove(String)="feature"{}
			summarize(String)="licenses"
			{
				field(String)="signals"{}
				positive(Bool)="true"{}
				pattern(String)="1"{}
			}
		}
		CalcSum:product()=""
		{
			inactive(Bool)="false"{}
			filter(String)="CalcSum"{}
			compare(String)="product,package,feature,feature_version"
			{
				field(String)="signals"{}
				positive(Bool)="false"{}
				pattern(String)="1"{}
			}
			remove(String)="product"{}
			summarize(String)="licenses"
			{
				field(String)="signals"{}
				positive(Bool)="true"{}
				pattern(String)="1"{}
			}
		}
		RemoveClass:total-license-usage-version()=""
		{
			filter(String)="RemoveClass"{}
			remove(String)="domain,host,architecture,os,user,tty,daemon,server,port,host_list"{}
			compare(String)="product,package,feature,feature_version,primetime,clientport,licenses"{}
			count(String)="used_licenses"{}
		}
		Concurrent:total-license-usage()=""
		{
			filter(String)="Concurrent"{}
			period(TimeSpan)="P1H"{}
			count(String)="used_licenses"{}
			zero-count(Bool)="true"{}
			compare(String)="product,package,feature,feature_version,primetime,licenses"{}
		}
		GenerateFields:total-license-usage()=""
		{
			filter(String)="GenerateFields"{}
			fields()=""
			{
				min_utilization(String)="var0=min*100/licenses"{}
				max_utilization(String)="var1=max*100/licenses"{}
				avg_utilization(String)="var2=avg*100/licenses"{}
			}
		}
		GenerateFields:elapsed-time()=""
		{
			filter(String)="GenerateFields"{}
			fields()=""
			{
				elapsed_time(String)="var3=duration*used_licenses"{}
			}
		}
		Mapping:primetime()=""
		{
			filter(String)="Mapping"{}
			simple-map(String)="' '='undef','0'='non-prime','1'='prime'"{}
			source(String)="primetime"{}
			target(String)="primetime"{}
		}
		Report:total-license-usage-package()=""
		{
			filter(String)="Report"{}
			classifications(String)="interval:start:'45':'0':product:'0':package:'0':feature:'0':feature_version:'0':licenses:'0':used_licenses:'0':queued_licenses:'0':primetime:'0':daemon_status"{}
			measurements(String)="'1':duration:avg:max:min:avg_utilization:max_utilization:min_utilization:elapsed_time"{}
			file-name(String)="data"{}
		}
		Report2()=""
		{
			filter(String)="SimpleReport"{}
			fields(String)="start:%start:product:feature:feature_version:licenses:used_licenses:queued_licenses:user:host:clientport:primetime:daemon_status:duration:elapsed_time:avg:max:min:avg_utilization:max_utilization:min_utilization"{}
			file-name(String)="simple"{}
		}
	}
}
